.form {
	padding: .5em;
	position: relative;
}

.form--narrow {
	max-width: 30em;
	margin: 2em auto;
}

.form .desc {
	padding-bottom: 2em;
}

@media (min-width: 500px)
{
	.form {
		padding: 1em;
	}
}

.form-input, .form-button, .form-textarea {
	height: 4.1em;
	width: 100%;
	border: 0;
}

.form-textarea {
	height: 10em;
	padding-top: .6em;
}

.form-input, .form-textarea {
	background-color: #f0f0f0;
	padding-left: .6em;
}

.form-input:first-child {
	border-top-left-radius: .6em;
	border-top-right-radius: .6em;
}

.form-input::placeholder,
.form-textarea::placeholder {
	padding: .3em;
}

.form-button {
	margin-top: -.7em;
	text-transform: uppercase;
	border-bottom-left-radius: .6em;
	border-bottom-right-radius: .6em;
}

@media (min-width: 400px)
{
	.form-input {
		height: 4em;
	}


	.form-input--single {
		border-radius: 0 !important;
	}

	.form-button {
		font-size: .9em;
		width: 8em;
		height: 8em;
		border-radius: 50%;
		position: absolute;
		bottom: -.9em;
		right: -.7em;
	}

	.form-input::placeholder {
		text-align: left;
	}

	.form-textarea {
		border-bottom-right-radius: .6em;
		border-bottom-left-radius: .6em;
	}
}
